cURL
curl --request GET \
--url https://api.maesn.dev/accounting/goodsReceipts/{goodsReceiptId} \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/goodsReceipts/{goodsReceiptId}"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/goodsReceipts/{goodsReceiptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": {
"id": "f302303e-4365-4779-8685-872b713aeab1",
"comment": "due today",
"createdDate": "2021-01-01T00:00:00Z",
"description": "Red chair order",
"lineItems": [
{
"id": "9fc4f3a2-5b8e-4d1b-8a0c-9f6e7d2f3e4b",
"itemId": "efa82f42-fd85-11e1-a21f-0800200c9a33",
"createdDate": "2021-01-01T00:00:00Z",
"description": "SEOUL Guest Chair, red",
"itemName": "RED CHAIR",
"projectId": "3",
"purchaseOrderId": "f302303e-4365-4779-8685-872b713aeab1",
"quantityOrdered": 2,
"quantityReceived": 2,
"updatedDate": "2021-01-01T00:00:00Z"
}
],
"reference": "RCXF197253F",
"status": "OPEN",
"supplierId": "8346e541-0a0c-4b45-a2d4-8fba44a99f6c",
"updatedDate": "2021-01-01T00:00:00Z"
}
}Goods Receipts
Get goods receipt
GET
/
accounting
/
goodsReceipts
/
{goodsReceiptId}
cURL
Field support per integration

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.To retrieve purchase orders from Exact Online, your account must have one of the following package subscriptions enabled:
- Manufacturing (any tier)
- Professional Services (Plus, Professional, or Premium)
- Wholesale & Distribution (any tier)
boolean
string
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
string
LineItem[]
number
string
string
ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
Last modified on July 9, 2026
Was this page helpful?
⌘I